diff --git a/bin/cdist-type-explorer-push b/bin/cdist-type-explorer-push
new file mode 100755
index 00000000..7ba412ca
--- /dev/null
+++ b/bin/cdist-type-explorer-push
@@ -0,0 +1,40 @@
+#!/bin/sh
+#
+# 2010-2011 Nico Schottelius (nico-cdist at schottelius.org)
+# 2011 Steven Armstrong (steven-cdist at armstrong.cc)
+#
+# This file is part of cdist.
+#
+# cdist is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# cdist is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with cdist. If not, see .
+#
+#
+# Push the given types explorers to the target host
+#
+
+. cdist-config
+[ $# -eq 2 ] || __cdist_usage " "
+
+set -eu
+
+__cdist_target_host="$1"; shift
+__cdist_type="$1"; shift
+
+src_dir="$(__cdist_type_explorer_dir "$__cdist_type")"
+dst_dir="$(__cdist_remote_type_explorer_dir "$__cdist_type")"
+
+if [ -d "$src_dir" ]; then
+ echo "Transfering explorers for $__cdist_type ..."
+ cdist-dir push "$__cdist_target_host" "$src_dir" "$dst_dir"
+fi
+